From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 5 June 2013<P>

Kirk - Thanks for the pick.  I will never understand why you choose any of my works to be put on the front page, though I appreciate it nonetheless.  Also, do you have any future plans for adding things like the "like" button for Facebook?
<HR>
From: <a href="/blend/av.cgi?id=1684">Blessed23</a><BR>
Date: 5 June 2013<P>

Henry Miller, about <a href="/blend/wv.cgi?id=2013.06.02.13.07.25260">Don't expect me to be sane anymore</a>: Holy shit.  There are parts of this note that are extremely similar to what I wrote, then spoke, to my ex a few weeks ago in an effort to get back together with her.  I must have channeled Mr. Miller. If you're wondering, the talk went fairly well, but I'm in limbo waiting for a final decision.
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 5 June 2013<P>

Marsh; Look at the bottom of the page for the LIKE button on each poem..I had to figure it out too.<BR>
<BR>
Your words are wonderful reading lately!<BR>
<BR>
bk
<HR>